/* 
   Copyright (C) 2005 Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*
 Persistence of Vision Ray Tracer Scene Description File
 Auth: Nicolas Rougier

 Povanim export from : gnu , Meshes  
*/

 
//Mesh number: 1
#declare ArmLeft1 = mesh2 {
                      vertex_vectors{ #include "mesh/gnuArmLeft1verts.inc"}
                      normal_vectors{ #include "mesh/gnuArmLeft1norm.inc"}
                      face_indices{ #include "mesh/gnuArmLeft1faces.inc"}
                      normal_indices{ #include "mesh/gnuArmLeft1nindice.inc"}
}



//Mesh number: 2
#declare ArmRight1 = mesh2 {
                      vertex_vectors{ #include "mesh/gnuArmRight1verts.inc"}
                      normal_vectors{ #include "mesh/gnuArmRight1norm.inc"}
                      face_indices{ #include "mesh/gnuArmRight1faces.inc"}
                      normal_indices{ #include "mesh/gnuArmRight1nindice.inc"}
}



//Mesh number: 3
#declare Body1 = mesh2 {
                      vertex_vectors{ #include "mesh/gnuBody1verts.inc"}
                      normal_vectors{ #include "mesh/gnuBody1norm.inc"}
                      texture_list{ #include "mesh/gnuBody1text_list.inc"}
                      face_indices{ #include "mesh/gnuBody1faces.inc"}
                      normal_indices{ #include "mesh/gnuBody1nindice.inc"}
}



//Mesh number: 4
#declare EarRight1 = mesh2 {
                      vertex_vectors{ #include "mesh/gnuEarRight1verts.inc"}
                      normal_vectors{ #include "mesh/gnuEarRight1norm.inc"}
                      face_indices{ #include "mesh/gnuEarRight1faces.inc"}
                      normal_indices{ #include "mesh/gnuEarRight1nindice.inc"}
}



//Mesh number: 5
#declare EyeLeft1 = mesh2 {
                      vertex_vectors{ #include "mesh/gnuEyeLeft1verts.inc"}
                      normal_vectors{ #include "mesh/gnuEyeLeft1norm.inc"}
                      face_indices{ #include "mesh/gnuEyeLeft1faces.inc"}
                      normal_indices{ #include "mesh/gnuEyeLeft1nindice.inc"}
}



//Mesh number: 6
#declare EyeRight1 = mesh2 {
                      vertex_vectors{ #include "mesh/gnuEyeRight1verts.inc"}
                      normal_vectors{ #include "mesh/gnuEyeRight1norm.inc"}
                      face_indices{ #include "mesh/gnuEyeRight1faces.inc"}
                      normal_indices{ #include "mesh/gnuEyeRight1nindice.inc"}
}



//Mesh number: 7
#declare FootLeft1 = mesh2 {
                      vertex_vectors{ #include "mesh/gnuFootLeft1verts.inc"}
                      normal_vectors{ #include "mesh/gnuFootLeft1norm.inc"}
                      face_indices{ #include "mesh/gnuFootLeft1faces.inc"}
                      normal_indices{ #include "mesh/gnuFootLeft1nindice.inc"}
}



//Mesh number: 8
#declare FootRight1 = mesh2 {
                      vertex_vectors{ #include "mesh/gnuFootRight1verts.inc"}
                      normal_vectors{ #include "mesh/gnuFootRight1norm.inc"}
                      face_indices{ #include "mesh/gnuFootRight1faces.inc"}
                      normal_indices{ #include "mesh/gnuFootRight1nindice.inc"}
}



//Mesh number: 9
#declare HandLeft1 = mesh2 {
                      vertex_vectors{ #include "mesh/gnuHandLeft1verts.inc"}
                      normal_vectors{ #include "mesh/gnuHandLeft1norm.inc"}
                      face_indices{ #include "mesh/gnuHandLeft1faces.inc"}
                      normal_indices{ #include "mesh/gnuHandLeft1nindice.inc"}
}



//Mesh number: 10
#declare HandRight1 = mesh2 {
                      vertex_vectors{ #include "mesh/gnuHandRight1verts.inc"}
                      normal_vectors{ #include "mesh/gnuHandRight1norm.inc"}
                      face_indices{ #include "mesh/gnuHandRight1faces.inc"}
                      normal_indices{ #include "mesh/gnuHandRight1nindice.inc"}
}



//Mesh number: 11
#declare Head1 = mesh2 {
                      vertex_vectors{ #include "mesh/gnuHead1verts.inc"}
                      normal_vectors{ #include "mesh/gnuHead1norm.inc"}
                      face_indices{ #include "mesh/gnuHead1faces.inc"}
                      normal_indices{ #include "mesh/gnuHead1nindice.inc"}
}



//Mesh number: 12
#declare HornLeft1 = mesh2 {
                      vertex_vectors{ #include "mesh/gnuHornLeft1verts.inc"}
                      normal_vectors{ #include "mesh/gnuHornLeft1norm.inc"}
                      face_indices{ #include "mesh/gnuHornLeft1faces.inc"}
                      normal_indices{ #include "mesh/gnuHornLeft1nindice.inc"}
}



//Mesh number: 13
#declare HornRight1 = mesh2 {
                      vertex_vectors{ #include "mesh/gnuHornRight1verts.inc"}
                      normal_vectors{ #include "mesh/gnuHornRight1norm.inc"}
                      face_indices{ #include "mesh/gnuHornRight1faces.inc"}
                      normal_indices{ #include "mesh/gnuHornRight1nindice.inc"}
}



//Mesh number: 14
#declare IrisLeft1 = mesh2 {
                      vertex_vectors{ #include "mesh/gnuIrisLeft1verts.inc"}
                      normal_vectors{ #include "mesh/gnuIrisLeft1norm.inc"}
                      face_indices{ #include "mesh/gnuIrisLeft1faces.inc"}
                      normal_indices{ #include "mesh/gnuIrisLeft1nindice.inc"}
}



//Mesh number: 15
#declare IrisRight1 = mesh2 {
                      vertex_vectors{ #include "mesh/gnuIrisRight1verts.inc"}
                      normal_vectors{ #include "mesh/gnuIrisRight1norm.inc"}
                      face_indices{ #include "mesh/gnuIrisRight1faces.inc"}
                      normal_indices{ #include "mesh/gnuIrisRight1nindice.inc"}
}

#declare gnu = union {

object{ ArmLeft1 
  texture {t_fur}
  scale<0.195765733719,0.195765738726,0.195765738726> 
  rotate<-29.1728871475,-3.81834353165e-15,9.9363942073e-16> 
  translate<1.11283755302,-0.0588462054729,0.966582477093> 
}
object{ ArmRight1
  texture {t_fur}
  scale<0.195765733719,0.195765738726,0.195765738726> 
  rotate<-29.1728871475,-3.81834353165e-15,9.9363942073e-16> 
  translate<1.11283755302,-0.0588462054729,0.966582477093> 
}
object{ Body1 
		 scale<0.50747102499,0.50747102499,0.50747102499> 
		 rotate<0.0,-0.0,-90.0000025045> 
		 translate<0.0,0.0,0.845003426075> 
}
object{ EarRight1 
  texture {t_fur}
  scale<0.114346624105,0.11434662765,0.114346633206> 
  rotate<-132.466205943,-56.8340109041,-7.42317419539> 
  translate<-0.943301618099,-0.239830464125,1.57043170929> 
}
object{ EyeLeft1 
    texture {t_eye_white}
  scale<0.410984158516,0.410984158516,0.410984158516> 
  rotate<0.0,-0.0,0.0> 
  translate<0.250768750906,-0.523311495781,1.72284507751> 
}
object{ EyeRight1 
  texture {t_eye_white}
  matrix<-0.410984158516,0.0,0.0,
  0.0,0.410984158516,0.0,
  0.0,0.0,0.410984158516,
  -0.250768750906,-0.523311495781,1.72284507751>
}
object{ FootLeft1
  texture {t_foot}
  scale<0.360035917691,0.418009072542,0.418009074566> 
  rotate<89.9999956743,-1.07477288565e-14,-4.99867335061> 
  translate<-0.42615801096,-0.177555128932,0.00416135741398> 
}
object{ FootRight1 
  texture {t_foot}
  scale<0.360035917691,0.418009072542,0.418009074566> 
  rotate<89.9999956743,-1.07477288565e-14,-4.99867335061> 
  translate<-0.42615801096,-0.177555128932,0.00416135741398> 
}
object{ HandLeft1 
  texture {t_hand}
  scale<0.189622029512,0.220155062151,0.22015506485> 
  rotate<66.0937402232,-2.02997434443,-4.56888072811> 
  translate<0.662381350994,-0.323354363441,0.502725541592> 
}
object{ HandRight1 
  texture {t_hand}
  scale<0.189622029512,0.220155062151,0.22015506485> 
  rotate<66.0937402232,-2.02997434443,-4.56888072811> 
  translate<0.662381350994,-0.323354363441,0.502725541592> 
}
object{ Head1 
      texture {t_fur}
		 scale<1.03532660007,1.03532660007,1.03532660007> 
		 rotate<0.0,-0.0,0.0> 
		 translate<0.0,0.0,1.77151751518> 
}
object{ HornLeft1 
  texture {t_horn}
		 matrix<-2.20508360863,-2.04716621433e-09,-0.590850353241,
			 -5.31633626011e-10,0.570717632771,6.67268800977e-12,
			 -0.14771258831,-1.44042222594e-10,0.551270902157,
			 -1.29113042355,0.0462839528918,1.60251128674>
}
object{ HornRight1
    texture {t_horn}
		 matrix<-2.20508360863,-2.04716621433e-09,-0.590850353241,
			 -5.31633626011e-10,0.570717632771,6.67268800977e-12,
			 -0.14771258831,-1.44042222594e-10,0.551270902157,
			 -1.29113042355,0.0462839528918,1.60251128674>
}
object{ IrisLeft1 
  texture {t_eye_black}
  no_shadow
  scale<0.909082077892,0.909082126982,0.909082146771> 
		 rotate<3.54417251564,1.84273654254,-27.4374970513> 
		 translate<0.145552992821,-0.984131097794,1.66105830669> 
}
object{ IrisRight1 
  texture {t_eye_black}
  no_shadow
  scale<0.909082077892,0.909082126982,0.909082146771> 
  rotate<3.54417251564,1.84273654254,-27.4374970513> 
  translate<0.145552992821,-0.984131097794,1.66105830669> 
}
}
